package java.awt.image;

import java.awt.Point;

public interface WritableRenderedImage extends RenderedImage
{
    public abstract void addTileObserver(TileObserver p0);
    
    public abstract void removeTileObserver(TileObserver p0);
    
    public abstract WritableRaster getWritableTile(int p0, int p1);
    
    public abstract void releaseWritableTile(int p0, int p1);
    
    public abstract boolean isTileWritable(int p0, int p1);
    
    public abstract Point[] getWritableTileIndices();
    
    public abstract boolean hasTileWriters();
    
    public abstract void setData(Raster p0);
}
